/* PD by Michelangelo Jones, 1:1/124. */
/***  Returns 0 for new moon, 15 for full moon,
**  29 for the day before new, and so forth.*/

/***  This routine sometimes gets "off" by a few days,**  but is self-correcting.

int moon_age(int month, int day, int year)
{      
	static short int ages[] =            {18, 0, 11, 22, 3, 14, 25, 6, 17, 28, 9, 20, 1, 12, 23, 4, 15, 26, 7};
      	static short int offsets[] =            {-1, 1, 0, 1, 2, 3, 4, 5, 7, 7, 9, 9};

	if (day == 31)            
		day = 1;

      return ((ages[(year + 1) % 19] + ((day + offsets[month-1]) % 30) + (year < 1900)) % 30);
}
